Package com.documentum.fc.client

# Interface IDfPermit

public interface IDfPermit
This class provides the interface for defining and viewing security permits applied to documents and ACLs.

Since:
  5.2.10

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DF_ACCESS_PERMIT`
  `static final String`
  `DF_ACCESS_PERMIT_STR`
  `static final int`
  `DF_ACCESS_RESTRICTION`
  `static final String`
  `DF_ACCESS_RESTRICTION_STR`
  `static final int`
  `DF_APPLICATION_PERMIT`
  `static final String`
  `DF_APPLICATION_PERMIT_STR`
  `static final int`
  `DF_APPLICATION_RESTRICTION`
  `static final String`
  `DF_APPLICATION_RESTRICTION_STR`
  `static final int`
  `DF_EXTENDED_PERMIT`
  `static final String`
  `DF_EXTENDED_PERMIT_STR`
  `static final int`
  `DF_EXTENDED_RESTRICTION`
  `static final String`
  `DF_EXTENDED_RESTRICTION_STR`
  `static final int`
  `DF_REQUIRED_GROUP`
  `static final int`
  `DF_REQUIRED_GROUP_SET`
  `static final String`
  `DF_REQUIRED_GROUP_SET_STR`
  `static final String`
  `DF_REQUIRED_GROUP_STR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccessorName()`
  Retrieves the accessor name from the IDfPermit object
  `int`
  `getPermitType()`
  Retrieves the permit type from the IDfPermit object.
  `int`
  `getPermitValueInt()`
  Retrieves the integer representation of the permit value from the IDfPermit object.
  `String`
  `getPermitValueString()`
  Retrieves the string representation of the permit value from the IDfPermit object.
  `void`
  `setAccessorName(String accessorName)`
  Sets the accessor name of the IDfPermit Object.
  `void`
  `setPermitType(int permitType)`
  Sets the permit type of the IDfPermit Object.
  `void`
  `setPermitTypeString(String permitTypeString)`
  Sets the permit type of the IDfPermit Object.
  `void`
  `setPermitValue(String permitValue)`
  Sets the permit value for the IDfPermit Object

- ## Field Details

  - ### DF_ACCESS_PERMIT

    static final int DF_ACCESS_PERMIT
    See Also:
      - Constant Field Values

  - ### DF_EXTENDED_PERMIT

    static final int DF_EXTENDED_PERMIT
    See Also:
      - Constant Field Values

  - ### DF_APPLICATION_PERMIT

    static final int DF_APPLICATION_PERMIT
    See Also:
      - Constant Field Values

  - ### DF_ACCESS_RESTRICTION

    static final int DF_ACCESS_RESTRICTION
    See Also:
      - Constant Field Values

  - ### DF_EXTENDED_RESTRICTION

    static final int DF_EXTENDED_RESTRICTION
    See Also:
      - Constant Field Values

  - ### DF_APPLICATION_RESTRICTION

    static final int DF_APPLICATION_RESTRICTION
    See Also:
      - Constant Field Values

  - ### DF_REQUIRED_GROUP

    static final int DF_REQUIRED_GROUP
    See Also:
      - Constant Field Values

  - ### DF_REQUIRED_GROUP_SET

    static final int DF_REQUIRED_GROUP_SET
    See Also:
      - Constant Field Values

  - ### DF_ACCESS_PERMIT_STR

    static final String DF_ACCESS_PERMIT_STR

  - ### DF_EXTENDED_PERMIT_STR

    static final String DF_EXTENDED_PERMIT_STR

  - ### DF_APPLICATION_PERMIT_STR

    static final String DF_APPLICATION_PERMIT_STR

  - ### DF_ACCESS_RESTRICTION_STR

    static final String DF_ACCESS_RESTRICTION_STR

  - ### DF_EXTENDED_RESTRICTION_STR

    static final String DF_EXTENDED_RESTRICTION_STR

  - ### DF_APPLICATION_RESTRICTION_STR

    static final String DF_APPLICATION_RESTRICTION_STR

  - ### DF_REQUIRED_GROUP_STR

    static final String DF_REQUIRED_GROUP_STR

  - ### DF_REQUIRED_GROUP_SET_STR

    static final String DF_REQUIRED_GROUP_SET_STR

- ## Method Details

  - ### getAccessorName

    String getAccessorName()
    Retrieves the accessor name from the IDfPermit object
    Returns:
      a string representing the accessor name

  - ### setAccessorName

    void setAccessorName(String accessorName)
    Sets the accessor name of the IDfPermit Object.
    Parameters:
      `accessorName` - string representation of accessor name

  - ### getPermitType

    int getPermitType()
    Retrieves the permit type from the IDfPermit object.
    Returns:
      an integer representing the permit type. Valid permit types are defined in `IDfPermitType`.

  - ### setPermitType

    void setPermitType(int permitType)
    Sets the permit type of the IDfPermit Object.
    Parameters:
      `permitType` - integer representation of the permit type. Valid permit type values are defined in `IDfPermitType`.

  - ### setPermitTypeString

    void setPermitTypeString(String permitTypeString)
    Sets the permit type of the IDfPermit Object.
    Parameters:
      `permitTypeString` - string representation of the permit type. Valid permit type values are defined in `IDfPermitTypeString`.

  - ### getPermitValueString

    String getPermitValueString()
    Retrieves the string representation of the permit value from the IDfPermit object.
    Returns:
      string representation of permit value

  - ### setPermitValue

    void setPermitValue(String permitValue)
    Sets the permit value for the IDfPermit Object
    Parameters:
      `permitValue` - String representation of the permit value

  - ### getPermitValueInt

    int getPermitValueInt()
    Retrieves the integer representation of the permit value from the IDfPermit object.
    Returns:
      integer representation of permit value